アバターLT

エラーメッセージを見る限り、以下のライブラリを使って認証されていますでしょうか?
https://github.com/googleworkspace/apps-script-oauth2

おそらく、アクセストークンの保存先の問題だと思います。

>作成した自身では問題なく稼働
というお話なので、作成されたユーザー単位でアクセストークンを保存する実装になっているのかと思われます。

もしそうであれば、例えば、スクリプトのプロパティにアクセストークンを保存する、等
アクセストークンをスクリプトで保持する実装にすることで、
他のユーザーも実行できるようになると思います。